# List companies

> A list of companies.

GET

/companies/

Returns a paginated list of companies. A "company" is the tenant organization account on Rippling, represented by its core identity (name, legal name/DBA, primary email, phone), and its legal-entity structure (holding entity + legal entities).

### Required Scopes

-   companies.read
    

### Request

Query Parameters

**expand** string

**order\_by** string

**limit** integer required

**Possible values:** `>= 1` and `<= 100`

**Default value:** `50`

The maximum number of results to return. Defaults to 50. Maximum is 100.

**cursor** string

#### Expanding objects

Include one or more of these fields in the [expand parameter](https://developer.rippling.com/documentation/rest-api/essentials/query-parameters#sort-expand) to return nested data.

Fields:parent\_legal\_entity, legal\_entities

#### Sorting results

Include one or more of these fields in the [sort parameter](https://developer.rippling.com/documentation/rest-api/essentials/query-parameters#sort-order_by) to control result order.

Fields:id, created\_at, updated\_at

## Responses

-   200

Successful response

-   application/json

-   Schema
-   Example (from schema)

**Schema**

**\_\_meta** object

A list of redacted fields.

**redacted\_fields** object\[\]

Array \[

**name** string

The name for the redacted field

**reason** string

The reason for the redaction

\]

**results** object\[\]

Array \[

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**parent\_legal\_entity\_id** string

The company's ultimate holding entity.

**parent\_legal\_entity** object

The company's ultimate holding entity.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**tax\_identifier** string

The tax identifier for the legal entity.

**country** object

The country the legal entity is based in.

**code** string required

The code of the country.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**legal\_name** string

The legal name of the legal entity.

**entity\_level** string

The legal entity's level in a hierarchy. \* `PARENT`: The legal entity is considered the ultimate holding entity. \* `SUBSIDIARY`: The legal entity is considered a subsidiary, fully or partially held by another. \* `BRANCH`: The legal entity is considered a branch, associated with a parent legal entity.

**Possible values:** \[PARENT,SUBSIDIARY,BRANCH\]

**registration\_date** string

The registration date of the entity.

**mailing\_address** object

The mailing address of the legal entity.

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**physical\_address** object

The physical address of the legal entity, if it differs from the mailing address.

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**parent\_id** string

The parent legal entity.

**parent** object

The parent legal entity.

**management\_type** string

The legal entity management type in the case of an employer of record (EOR) or professional employment organization (PEO). \* `PEO`: The legal entity is considered a Professional Employment Organization (PEO). \* `EOR`: The legal entity is considered an Employer of Record (EOR).

**Possible values:** \[PEO,EOR,COR\]

**company\_id** string

The company or organization associated with the legal entity

**company** object

The company or organization associated with the legal entity

**legal\_entities\_id** string\[\] required

A list of the company's entities.

**legal\_entities** object\[\] required

A list of the company's entities.

Array \[

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**tax\_identifier** string

The tax identifier for the legal entity.

**country** object

The country the legal entity is based in.

**code** string required

The code of the country.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**legal\_name** string

The legal name of the legal entity.

**entity\_level** string

The legal entity's level in a hierarchy. \* `PARENT`: The legal entity is considered the ultimate holding entity. \* `SUBSIDIARY`: The legal entity is considered a subsidiary, fully or partially held by another. \* `BRANCH`: The legal entity is considered a branch, associated with a parent legal entity.

**Possible values:** \[PARENT,SUBSIDIARY,BRANCH\]

**registration\_date** string

The registration date of the entity.

**mailing\_address** object

The mailing address of the legal entity.

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**physical\_address** object

The physical address of the legal entity, if it differs from the mailing address.

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**parent\_id** string

The parent legal entity.

**parent** object

The parent legal entity.

**management\_type** string

The legal entity management type in the case of an employer of record (EOR) or professional employment organization (PEO). \* `PEO`: The legal entity is considered a Professional Employment Organization (PEO). \* `EOR`: The legal entity is considered an Employer of Record (EOR).

**Possible values:** \[PEO,EOR,COR\]

**company\_id** string

The company or organization associated with the legal entity

**company** object

The company or organization associated with the legal entity

\]

**physical\_address** object

The physical address of the holding entity.

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**primary\_email** string

The email address used when registering this company.

**legal\_name** string

The legal name of the company.

**doing\_business\_as\_name** string

The doing business as name for the company.

**phone** string

The phone number for the company.

**name** string required

The name of the company.

\]

**next\_link** string

A link to the next page of responses.

```json
{
  "__meta": {
    "redacted_fields": [
      {
        "name": "date_of_birth",
        "reason": "Insufficient entitlements"
      }
    ]
  },
  "results": [
    {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "parent_legal_entity_id": "string",
      "parent_legal_entity": {
        "id": "string",
        "created_at": "string",
        "updated_at": "string",
        "tax_identifier": "string",
        "country": {
          "code": "AF"
        },
        "legal_name": "string",
        "entity_level": "PARENT",
        "registration_date": "string",
        "mailing_address": {
          "type": "HOME",
          "formatted": "string",
          "street_address": "string",
          "locality": "string",
          "region": "string",
          "postal_code": "string",
          "country": "AF"
        },
        "physical_address": {
          "type": "HOME",
          "formatted": "string",
          "street_address": "string",
          "locality": "string",
          "region": "string",
          "postal_code": "string",
          "country": "AF"
        },
        "parent_id": "string",
        "parent": {},
        "management_type": "PEO",
        "company_id": "string",
        "company": {}
      },
      "legal_entities_id": [
        "string"
      ],
      "legal_entities": [
        {
          "id": "string",
          "created_at": "string",
          "updated_at": "string",
          "tax_identifier": "string",
          "country": {
            "code": "AF"
          },
          "legal_name": "string",
          "entity_level": "PARENT",
          "registration_date": "string",
          "mailing_address": {
            "type": "HOME",
            "formatted": "string",
            "street_address": "string",
            "locality": "string",
            "region": "string",
            "postal_code": "string",
            "country": "AF"
          },
          "physical_address": {
            "type": "HOME",
            "formatted": "string",
            "street_address": "string",
            "locality": "string",
            "region": "string",
            "postal_code": "string",
            "country": "AF"
          },
          "parent_id": "string",
          "parent": {},
          "management_type": "PEO",
          "company_id": "string",
          "company": {}
        }
      ],
      "physical_address": {
        "type": "HOME",
        "formatted": "string",
        "street_address": "string",
        "locality": "string",
        "region": "string",
        "postal_code": "string",
        "country": "AF"
      },
      "primary_email": "string",
      "legal_name": "string",
      "doing_business_as_name": "string",
      "phone": "string",
      "name": "string"
    }
  ],
  "next_link": "string"
}
```

Source: https://developer.rippling.com/documentation/rest-api/reference/list-companies

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Public pages have a Markdown version at the same URL with .md added.
